Skip to main content
POST
/
exchanges
/
multi
Create multi exchange
curl --request POST \
  --url https://api-partner.houdiniswap.com/v2/exchanges/multi \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orders": [
    {
      "from": "6689b73ec90e45f3b3e51564",
      "to": "6689b73ec90e45f3b3e51558",
      "amount": 123,
      "addressTo": "<string>",
      "anonymous": true,
      "destinationTag": "<string>",
      "useXmr": true,
      "walletInfo": "<string>",
      "filters": {
        "onlySwaps": [
          "<string>"
        ],
        "rotatePayoutWallets": true,
        "deviationThreshold": 123,
        "rotationLookback": 123
      }
    }
  ]
}
'
{
  "multiId": "<string>",
  "orders": [
    {
      "order": {
        "_id": "<string>",
        "displayStatus": "WAITING_FOR_DEPOSIT",
        "statusLabel": "INITIALIZING",
        "inStatusLabel": "NEW",
        "outStatusLabel": "NEW",
        "transactionHash": "<string>",
        "hashUrl": "<string>",
        "depositAddress": "<string>",
        "depositTag": "<string>",
        "id": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "houdiniId": "<string>",
        "receiverAddress": "<string>",
        "status": -2,
        "anonymous": true,
        "isX402": true,
        "x402PayerAddress": "<string>",
        "expires": "2023-11-07T05:31:56Z",
        "in": "ch",
        "inAmount": 123,
        "inSymbol": "<string>",
        "inStatus": 0,
        "inCreated": "2023-11-07T05:31:56Z",
        "inTransactionInHash": "<string>",
        "outAmount": 123,
        "outAmountUsd": 123,
        "outSymbol": "<string>",
        "outStatus": 0,
        "outTransactionOutHash": "<string>",
        "receiverTag": "<string>",
        "ffSetEmergency": true,
        "notified": true,
        "multiId": "<string>",
        "ip": "<string>",
        "widgetMode": true,
        "eta": 123,
        "inAmountUsd": 123,
        "isDex": true,
        "inToken": {
          "icon": "<string>",
          "id": "<string>",
          "address": "<string>",
          "chain": "<string>",
          "created": "2023-11-07T05:31:56Z",
          "chainData": {
            "icon": "<string>",
            "addressValidation": "<string>",
            "tokenAddressValidation": "<string>",
            "id": "<string>",
            "created": "2023-11-07T05:31:56Z",
            "name": "<string>",
            "shortName": "<string>",
            "memoNeeded": true,
            "explorerUrl": "<string>",
            "addressUrl": "<string>",
            "kind": "<string>",
            "chainId": 123,
            "enabled": true,
            "shortNameV1": "<string>",
            "modified": "2023-11-07T05:31:56Z",
            "hashUrl": "<string>",
            "priority": 123
          },
          "description": "<string>",
          "decimals": 0,
          "symbol": "",
          "name": "",
          "modified": "2023-11-07T05:31:56Z",
          "mainnet": true,
          "enabled": true,
          "unverified": true,
          "hasDex": true,
          "hasCex": true,
          "hasSelfPrivate": true,
          "cexTokenId": "",
          "rank": 123,
          "cgId": "<string>",
          "marketCapChange24h": 123,
          "circulatingSupply": 123,
          "price": 123,
          "marketCap": 123,
          "volume": 123,
          "fdv": 123,
          "change": 123,
          "priority": 123,
          "warningMessage": "<string>",
          "minMax": {
            "anon": [
              123
            ],
            "cex": [
              123
            ],
            "dex": [
              123
            ]
          }
        },
        "outToken": {
          "icon": "<string>",
          "id": "<string>",
          "address": "<string>",
          "chain": "<string>",
          "created": "2023-11-07T05:31:56Z",
          "chainData": {
            "icon": "<string>",
            "addressValidation": "<string>",
            "tokenAddressValidation": "<string>",
            "id": "<string>",
            "created": "2023-11-07T05:31:56Z",
            "name": "<string>",
            "shortName": "<string>",
            "memoNeeded": true,
            "explorerUrl": "<string>",
            "addressUrl": "<string>",
            "kind": "<string>",
            "chainId": 123,
            "enabled": true,
            "shortNameV1": "<string>",
            "modified": "2023-11-07T05:31:56Z",
            "hashUrl": "<string>",
            "priority": 123
          },
          "description": "<string>",
          "decimals": 0,
          "symbol": "",
          "name": "",
          "modified": "2023-11-07T05:31:56Z",
          "mainnet": true,
          "enabled": true,
          "unverified": true,
          "hasDex": true,
          "hasCex": true,
          "hasSelfPrivate": true,
          "cexTokenId": "",
          "rank": 123,
          "cgId": "<string>",
          "marketCapChange24h": 123,
          "circulatingSupply": 123,
          "price": 123,
          "marketCap": 123,
          "volume": 123,
          "fdv": 123,
          "change": 123,
          "priority": 123,
          "warningMessage": "<string>",
          "minMax": {
            "anon": [
              123
            ],
            "cex": [
              123
            ],
            "dex": [
              123
            ]
          }
        },
        "orderFinishedReceived": "2023-11-07T05:31:56Z",
        "actionRequired": true,
        "swapName": "<string>",
        "statusValidated": true,
        "modified": "2023-11-07T05:31:56Z",
        "metadata": "<unknown>",
        "nonRefundable": true
      },
      "error": {
        "message": "<string>",
        "code": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Body

application/json
orders
object[]
required

Response

Multi exchange created

Response for POST /exchanges/multi — per-item envelope, some may be errors

multiId
string
required
orders
object[]
required